WordPress.org

Ready to get started?Download WordPress

Forums

Widget RSS - Problema com multisite habilitado (8 posts)

  1. Artur Bezerra
    Member
    Posted 3 years ago #

    Verifiquei que em uma instalação normal, sem habilitar a opção multisite,
    quando clico no link que encaminha para a página de feeds RSS me retorna uma página com um parâmentro like this: http://meublog.intranet/?feed=rss2
    Quando coloco este link no widget RSS do WordPress funciona perfeitamente.

    Quando habilito a opção multisite e crio o blog "blog", por exemplo. O link dos feeds RSS é http://meublog.intranet/blog/feed/ .
    Ao colocar este link no campo "Enter the RSS feed URL here:" do Widget dá um Erro de RSS: A feed could not be found at http://meublog.intranet/blog/feed/ , diz que não encontrou, mas fiz o mesmo procedimento que tinha feito para a instalação sem a opção multisite estar habilitada. Tem algum segredo para que isso funcione?

    Alguém pode me ajudar? Desde já sou muito grato.

    Teste:
    Fiz duas instalações. Instação A - sem a opção multisite estar habilitada.
    Instalação B - opção multisite habilitada.

    O teste que fiz foi o seguinte. Peguei o link de feeds rss da instalação A e coloquei no Widget da instalação B e funcionou. Ou seja ficou exibindo os feeds da isntalação A. Quero exibir os feeds da instação B, mas dá erro!

  2. O link dos feeds RSS é http://meublog.intranet/feed/ ...

  3. Artur Bezerra
    Member
    Posted 3 years ago #

    Olá Ipstenu, sim http://meublog.intranet/feed/ é o link dos feeds RSS da Raiz do blog. Este link está ok e do blog que foi criado depois de habilitar o multisite também está ok, ou seja, você pode pegar este link e colocar em algum cliente leitor de feeds RSS que vai funcionar. O problema é que se você for utilizar o widget RSS para Exibir os últimos feeds dá erro.

  4. Qual o widget que você está usando?

    (Eu realmente não falo Português, mas eu sei um pouco de espanhol)

  5. Artur Bezerra
    Member
    Posted 3 years ago #

    Esquecí-me de comentar um detalhe muito importante, na realidade dois. Estou utilizando a versão traduzida do wordpress (pt-BR) 3.0.1. E estou em uma intranet, onde o servidor que está hospedando esta instalação não tem acesso a internet.

    Acabei de fazer um teste com a versão em inglês em um servidor com acesso a internet e deu tudo certo!

    Pode ser um bug.

    O nome do Widget a que me refiro é RSS que já vem na instalação do WP por padrão.

    Amanhã vou fazer mais um teste. Relatarei aqui o resultado dos cinco cenários testados.

  6. Você pode tentar a versão em Inglês e usar o pacote de idioma Português?

    http://codex.wordpress.org/WordPress_in_Your_Language#Portuguese_-_Portugu.C3.AAs

  7. Artur Bezerra
    Member
    Posted 3 years ago #

    Olá Senhores, pude constatar o seguinte em meus testes.

    Na versão 3.0.1 pt-br multisite o Widget RSS está com problema.
    Na versão 3.0.4 en (inglês) está funcionando, inclusive tráz dois novos Widgets um específico para RSS em de posts e outro para RSS de comentários.
    Na versão 3.0.4 en (inglês) com multisite habilitado o Widget em questão RSS não está funcionando, está dando erro quando colocamos o endereço para feeds RSS do próprio blog multisite. Em compensação os dois novos widgets o substituem.
    Na versão 3.0.4 pt-br, a que estou utilizando, não traz estes widgets.

    Gostei da sugestão do Sr. Ipstenu, boa pergunta e pergunto a todos.

    Na versão em inglês usar o pacote de idioma português, tem como fazer isso?

  8. Artur Bezerra
    Member
    Posted 3 years ago #

    Respondendo a minha pergunta. Tem como sim, basta pegar os pacotes de sua lingua, criar um diretório languages dentro de wp-content e colocar o pacote de sua linguagem. Depois em wp-config.php edite a linha define ('WPLANG' para sua linguagem.
    define ('WPLANG', 'pt_BR');

    Não percebi nenhuma diferença do pacote do WP já disponibilizada para minha lingua e do WP em inglês, apenas a tradução. Não percebi nenhum widget que tinha em um e não tinha em outro.

    Mas o problema mesmo assim persite, não posso utilizar o Widget RSS, pois o mesmo está somente exibindo uma mensagem de erro. Dizendo que não pôde encontrar feed na url passada. Erro de RSS: A feed could not be found at http://meublog.intranet/blog/feed/ .

    Como solução alternativa para visualizar os ultimos posts do mesmo site existe o Widget na versão 3.0.4 "Tópicos recentes", porém para visualizar os posts de um outro blog na mesma instalação por exemplo, não vai ser possível.

Topic Closed

This topic has been closed to new replies.

About this Topic